// Generated by gencpp from file thesis_pad/RoomAddressee.msg
// DO NOT EDIT!


#ifndef THESIS_PAD_MESSAGE_ROOMADDRESSEE_H
#define THESIS_PAD_MESSAGE_ROOMADDRESSEE_H

#include <ros/service_traits.h>


#include <thesis_pad/RoomAddresseeRequest.h>
#include <thesis_pad/RoomAddresseeResponse.h>


namespace thesis_pad
{

struct RoomAddressee
{

typedef RoomAddresseeRequest Request;
typedef RoomAddresseeResponse Response;
Request request;
Response response;

typedef Request RequestType;
typedef Response ResponseType;

}; // struct RoomAddressee
} // namespace thesis_pad


namespace ros
{
namespace service_traits
{


template<>
struct MD5Sum< ::thesis_pad::RoomAddressee > {
  static const char* value()
  {
    return "bdd55c5228f8ef0eed942cf5e76cf0db";
  }

  static const char* value(const ::thesis_pad::RoomAddressee&) { return value(); }
};

template<>
struct DataType< ::thesis_pad::RoomAddressee > {
  static const char* value()
  {
    return "thesis_pad/RoomAddressee";
  }

  static const char* value(const ::thesis_pad::RoomAddressee&) { return value(); }
};


// service_traits::MD5Sum< ::thesis_pad::RoomAddresseeRequest> should match
// service_traits::MD5Sum< ::thesis_pad::RoomAddressee >
template<>
struct MD5Sum< ::thesis_pad::RoomAddresseeRequest>
{
  static const char* value()
  {
    return MD5Sum< ::thesis_pad::RoomAddressee >::value();
  }
  static const char* value(const ::thesis_pad::RoomAddresseeRequest&)
  {
    return value();
  }
};

// service_traits::DataType< ::thesis_pad::RoomAddresseeRequest> should match
// service_traits::DataType< ::thesis_pad::RoomAddressee >
template<>
struct DataType< ::thesis_pad::RoomAddresseeRequest>
{
  static const char* value()
  {
    return DataType< ::thesis_pad::RoomAddressee >::value();
  }
  static const char* value(const ::thesis_pad::RoomAddresseeRequest&)
  {
    return value();
  }
};

// service_traits::MD5Sum< ::thesis_pad::RoomAddresseeResponse> should match
// service_traits::MD5Sum< ::thesis_pad::RoomAddressee >
template<>
struct MD5Sum< ::thesis_pad::RoomAddresseeResponse>
{
  static const char* value()
  {
    return MD5Sum< ::thesis_pad::RoomAddressee >::value();
  }
  static const char* value(const ::thesis_pad::RoomAddresseeResponse&)
  {
    return value();
  }
};

// service_traits::DataType< ::thesis_pad::RoomAddresseeResponse> should match
// service_traits::DataType< ::thesis_pad::RoomAddressee >
template<>
struct DataType< ::thesis_pad::RoomAddresseeResponse>
{
  static const char* value()
  {
    return DataType< ::thesis_pad::RoomAddressee >::value();
  }
  static const char* value(const ::thesis_pad::RoomAddresseeResponse&)
  {
    return value();
  }
};

} // namespace service_traits
} // namespace ros

#endif // THESIS_PAD_MESSAGE_ROOMADDRESSEE_H
